Skip to content

Create banking payout

POST
/order/v1/banking/order-payouts

Create a PIX payout using accountId as payer and different initiation types (MANUAL/KEY/STATIC_QRCODE/DYNAMIC_QRCODE).

idempotency-key
required
string

Unique key for idempotent requests

object
externalId
required

External identifier of the payout

string
accountId
required

Payer account identifier

string format: uuid
paymentMethod
required

Payment method

string
Allowed values: PIX
iniciationType
required

Initiation type

string
Allowed values: MANUAL KEY STATIC_QRCODE DYNAMIC_QRCODE PAYMENT_TRANSACTION_INITIATION_SERVICE PAYER_QRCODE
receiver
required

Receiver information

object
name
required

Receiver full name

string
document
required

Receiver document

object
type
required

Document type

string
Allowed values: CPF CNPJ
number
required

Document number

string
paymentData
required

Payment data

object
pixKey

Pix key for KEY initiation

string
qrcodeData

QR Code data for STATIC/DYNAMIC initiation

string
bankAccount

Bank account data (required for MANUAL initiation)

object
ispb
required

ISPB code

string
accountType
required

Account type (e.g., CHECKING_ACCOUNT)

string
branchNumber
required

Branch number

string
accountNumber
required

Account number

string
amount
required

Payout amount

object
currency
required

Currency code

string
Allowed values: BRL
value
required

Amount value as numeric string

string
description
required

Description of the payout

string
object
id
required

Payout identifier

string
externalId
required

External identifier

string
status
required

Status of the payout

string
amount
required

Amount value as string

string
currency
required

Currency

string
Allowed values: BRL USD ARS EUR CLP COP MXN PEN BUSD USDT
description
required

Payout description

string
endToEndId
required

EndToEnd identifier (PIX)

string
batch

Batch information when this payout was split into a batch

object
id
required

Id of the batch

string
transactionsCount
required

Total number of child transactions in the batch

number
paidCount
required

Number of child transactions already paid

number
failedCount
required

Number of child transactions that failed

number
pendingCount
required

Number of child transactions still pending

number
paidAmount
required

Amount already paid across all child transactions

string
pendingAmount
required

Amount still pending across all child transactions

string
transactions
required

Child transactions the batch was split into

Array<object>
object
id
required

Id of this child transaction

string
idempotencyKey
required

Idempotency key of this child transaction - the first child reuses the batch idempotencyKey verbatim, later ones suffix it

string
sequence
required

Ordering position of this child transaction within the batch

number
amount
required

Amount of this child transaction

string
status
required

Status of this child transaction

string
Allowed values: INITIAL PENDING PAID EXPIRED ANALYSIS REFUNDED PARTIAL_REFUNDED PARTIALLY_PAID CANCELED ERROR
endToEndId

End-to-end id of this child transaction

string
paidAt

Date this child transaction was paid

string
errorMessage

Error message when this child transaction failed

string

Bad request

Forbidden

Internal error